{
    "name": "humanet/opensem",
    "type": "project",
    "description": "Gestion ERP/E-Commerce de semences",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "proprietary",
    "require": {
        "php": "^7.4|^8.0",
        "akaunting/laravel-apexcharts": "^2.0",
        "alexisgeneau/mailvalidate": "dev-master",
        "arrilot/laravel-widgets": "^3.13",
        "awobaz/compoships": "^2.1",
        "balping/laravel-hashslug": "^2.2",
        "barryvdh/laravel-dompdf": "^2.0",
        "barryvdh/laravel-snappy": "^1.0",
        "bnbwebexpertise/laravel-paybox-gateway": "^1.1",
        "browner12/helpers": "^3.0",
        "cesargb/laravel-cascade-delete": "^1.5",
        "coduo/php-humanizer": "^4.0",
        "composer/composer": "^2.0.13",
        "cornford/googlmapper": "^3.3",
        "darryldecode/cart": "^4.1",
        "datatables/datatables": "^1.10",
        "ddzobov/laravel-pivot-softdeletes": "^2.1",
        "dietercoopman/smart": "^1.6",
        "dompdf/dompdf": "^2.0.3",
        "dyrynda/laravel-cascade-soft-deletes": "^4.1",
        "eduardokum/laravel-mail-auto-embed": "^2.0",
        "erjanmx/laravel-migrate-check": "^2.1",
        "fico7489/laravel-eloquent-join": "^4.1",
        "fideloper/proxy": "^4.0",
        "geo6/geocoder-php-addok-provider": "^1.1",
        "gzero/eloquent-tree": "^3.1",
        "hassankhan/config": "^3.1",
        "htmlmin/htmlmin": "^9.0",
        "intervention/image": "^2.5",
        "intervention/imagecache": "^2.4",
        "jasonlewis/expressive-date": "^1.0",
        "jenssegers/date": "^4.0",
        "jeroen-g/blade-macro": "^1.0",
        "kalnoy/nestedset": "^6.0",
        "kirschbaum-development/eloquent-power-joins": "^2.3",
        "kmlaravel/laravel-geographical-calculator": "^2.1",
        "knplabs/knp-snappy": "^1.2",
        "laracasts/utilities": "^3.0",
        "laracraft-tech/laravel-date-scopes": "^1.1",
        "laravel/framework": "^9.0",
        "laravel/helpers": "^1.1",
        "laravel/pint": "^1.10",
        "laravel/scout": "^9.1",
        "laravel/tinker": "^2.5",
        "laravel/ui": "^3.0",
        "laravelcollective/html": "^6.0",
        "laravolt/avatar": "^4.1",
        "lavary/laravel-menu": "1.8.3",
        "league/climate": "^3.5",
        "league/period": "^5.1",
        "livewire/livewire": "^2.4",
        "maatwebsite/excel": "^3.1",
        "moneyphp/money": "^4.1",
        "mpdf/mpdf": "^8.0",
        "mpociot/teamwork": "^7.0",
        "nicmart/tree": "^0.7",
        "nicolaslopezj/searchable": "^1.13",
        "orangehill/iseed": "^3.0",
        "php-console/php-console": "^3.1",
        "proengsoft/laravel-jsvalidation": "^4.5",
        "protonemedia/laravel-cross-eloquent-search": "^3.0",
        "rahul900day/laravel-captcha": "^1.0",
        "ralphjsmit/laravel-seo": "^1.0",
        "reedware/laravel-relation-joins": "^3.0",
        "respect/validation": "^2.2",
        "rinvex/laravel-categories": "^6.0",
        "rinvex/laravel-tags": "^6.0",
        "rutorika/sortable": "^9.0",
        "santigarcor/laratrust": "^7.1",
        "sebastienheyd/boilerplate": "^7.5",
        "softcreatr/php-mime-detector": "^3.2",
        "spatie/browsershot": "^3.57",
        "spatie/eloquent-sortable": "^4.0",
        "spatie/image-optimizer": "^1.4",
        "spatie/laravel-activitylog": "^4.7",
        "spatie/laravel-backup": "^8.1",
        "spatie/laravel-collection-macros": "^7.12",
        "spatie/laravel-cookie-consent": "^3.2",
        "spatie/laravel-database-mail-templates": "^3.5",
        "spatie/laravel-mail-preview": "^6.0",
        "spatie/laravel-medialibrary": "^10.7",
        "spatie/laravel-stats": "^2.0",
        "staudenmeir/belongs-to-through": "^2.11",
        "staudenmeir/eloquent-has-many-deep": "^1.13",
        "stillat/numeral.php": "^2.0",
        "symfony/http-client": "^6.2",
        "tanthammar/laravel-window-size": "^2.1",
        "thomasjohnkane/snooze": "^2.2",
        "toin0u/geocoder-laravel": "^4.2",
        "unicodeveloper/laravel-password": "^1.0",
        "unisharp/laravel-filemanager": "^2.5",
        "venturecraft/revisionable": "^1.39",
        "watson/rememberable": "^6.0",
        "wildside/userstamps": "^2.1",
        "yadahan/laravel-authentication-log": "^1.2",
        "yajra/laravel-datatables": "^9.0"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.8",
        "bestmomo/laravel5-artisan-language": "^0.3",
        "beyondcode/laravel-dump-server": "^1.7",
        "enlightn/enlightn": "^2.1",
        "fakerphp/faker": "^1.13",
        "fossbarrow/laravel-phpcs": "dev-main",
        "kevincobain2000/laravel-erd": "^1.3",
        "kitloong/laravel-migrations-generator": "^6.0",
        "mockery/mockery": "^1.4.2",
        "nunomaduro/collision": "^7.0",
        "nunomaduro/larastan": "^2.6",
        "nunomaduro/laravel-mojito": "^0.2.6",
        "nunomaduro/phpinsights": "^2.8",
        "orangehill/iseed": "^3.0",
        "phpmetrics/phpmetrics": "^2.8",
        "phpunit/phpunit": "^9.5",
        "spatie/laravel-ignition": "^1.0",
        "spatie/laravel-web-tinker": "^1.7",
        "squizlabs/php_codesniffer": "3.*",
        "staudenmeir/dusk-updater": "^1.2",
        "wnx/laravel-stats": "^2.11"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "pestphp/pest-plugin": true,
            "dealerdirect/phpcodesniffer-composer-installer": true,
            "php-http/discovery": true
        }
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi",
            "@php artisan vendor:publish --provider=\"Sebastienheyd\\Boilerplate\\BoilerplateServiceProvider\" --tag=public --force -q"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ],
        "inspect": [
            "phpcs app",
            "phpstan analyze app"
        ],
        "inspect-fix": [
            "php-cs-fixer fix app",
            "phpcbf app"
        ],
        "insights": "phpmd app text phpmd.xml"
    },
    "authors": [
        {
            "name": "Ludovic CANDELLIER",
            "email": "ludo@huma.net",
            "homepage": "https://huma.net",
            "role": "Developper"
        }
    ]
}
